declare const _default: import("vue").DefineComponent<{
    onTableSearch?: any;
    tableModelXml?: any;
    tableFieldXml?: any;
}, {
    modelSearchData: import("vue").Ref<{
        name: string;
        login: string;
    }, {
        name: string;
        login: string;
    } | {
        name: string;
        login: string;
    }>;
    translateValueByKey: <T extends import("@oinone/kunlun-shared").StandardString>(key: import("@oinone/kunlun-shared").GenericType<T>) => import("@oinone/kunlun-shared").GenericReturnType<T, string>;
    onResetModelSearch: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{
    onTableSearch?: any;
    tableModelXml?: any;
    tableFieldXml?: any;
}> & Readonly<{}>, {}, {}, {
    OioButton: any;
    OioInput: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
